%define	name	exalt
%define version 0.9
%define svn r81625
%define rel 4
%if %svn
#define release %mkrel -c %svn %rel
%define release %mkrel 1.%svn.%rel
%else
%define release %mkrel %rel
%endif

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	efl based front end network manager
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://www.enlightenment.org/
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/trunk/%name %name
# tar cJf %name-%svn.tar.xz %name
%if %svn
Source: 	%name-%svn.tar.xz
%else
Source:         %name-%version.tar.bz2
%endif
Patch0:         exalt-r81625-fix-configure.patch

BuildRequires: 	eet-devel >= 1.4.999-0.%svn
buildrequires:  ecore-devel >= 1.0.999-0.%svn
buildrequires:	e_dbus-devel >= 1.0.999-0.%svn
buildrequires:  dbus-devel >= 0.1
buildrequires:  evas-devel >= 1.0.999-0.%svn
buildrequires:	edje >= 1.0.999-0.%svn
buildrequires:  elementary-devel >= 0.8.0-0.%svn
buildrequires:	wpa_supplicant dhcp-client

%description
efl based front end network manager
This package is part of the Enlightenment DR17 desktop shell.

%package -n %{libname}
Summary: Exalt Libraries
Group: System/Libraries

%description -n %{libname}
efl based front end network manager

This package is part of the Enlightenment DR17 desktop shell.

%package -n %libnamedev
Summary: Exalt Library headers and development libraries
Group: System/Libraries
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}-%{release}

%description -n %libnamedev
Exxalt development headers and development libraries.

%prep
%if %svn
%setup -qn %name
%else
%setup -qn %name-%version
%endif

%apply_patches

%build
autoreconf -fi
%if %svn
NOCONFIGURE=yes ./autogen.sh
%endif
%configure2_5x --disable-static \
	--with-wpa-supplicant=%{_sbindir} \
	--with-dhcp=/sbin
%make

%install
rm -fr %buildroot
%makeinstall_std

rm -f %buildroot%_libdir/*.la

%files
%{_sbindir}/exalt-command
%{_sbindir}/exalt-daemon

%files -n %{libname}
%doc AUTHORS COPYING README
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %libnamedev
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*




%changelog

* Tue May 07 2013 trem <trem> 0.9-1.r81625.4.mga3
+ Revision: 412575
- increase release to rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.9-1.r81625.3.mga3
+ Revision: 349815
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 dmorgan <dmorgan> 0.9-1.r81625.2.mga3
+ Revision: 341114
- Fix build with new automake

* Sat Dec 22 2012 trem <trem> 0.9-1.r81625.1.mga3
+ Revision: 334031
- update to release 81625

* Sat Dec 15 2012 trem <trem> 0.9-1.r80969.1.mga3
+ Revision: 331122
- update to release 80969

* Sat Dec 08 2012 trem <trem> 0.9-1.r80477.1.mga3
+ Revision: 328263
- update to release 80477

* Sat Nov 24 2012 trem <trem> 0.9-1.r79568.1.mga3
+ Revision: 321548
- update to release 79568

* Sat Sep 22 2012 trem <trem> 0.9-1.r76819.1.mga3
+ Revision: 296650
- update to release 76819

* Sun Sep 16 2012 trem <trem> 0.9-1.r76435.1.mga3
+ Revision: 294449
- update to release 76435
- update to release 75400

* Sun Mar 11 2012 trem <trem> 0.9-1.r69188.1.mga2
+ Revision: 222702
- update to release 69188

* Sat Mar 10 2012 trem <trem> 0.9-1.r69165.1.mga2
+ Revision: 222437
- update to release 69165

* Sun Mar 04 2012 trem <trem> 0.9-1.r68658.1.mga2
+ Revision: 218013
- update to release 68658

* Sat Mar 03 2012 trem <trem> 0.9-1.r68649.1.mga2
+ Revision: 217563
- update to release 68649

* Sun Feb 26 2012 trem <trem> 0.9-1.r68450.1.mga2
+ Revision: 215231
- update to release 68450

* Sat Feb 25 2012 trem <trem> 0.9-1.r68434.1.mga2
+ Revision: 214442
- update to release 68434

* Fri Feb 24 2012 trem <trem> 0.9-1.r68363.1.mga2
+ Revision: 213991
- update to release 68363

* Wed Feb 22 2012 trem <trem> 0.9-1.r68228.1.mga2
+ Revision: 212094
- update to release 68228

* Sun Feb 19 2012 trem <trem> 0.9-1.r68120.1.mga2
+ Revision: 210810
- update to release 68120

* Sat Feb 18 2012 trem <trem> 0.9-1.r68102.1.mga2
+ Revision: 210258
- update to release 68102

* Sat Feb 11 2012 trem <trem> 0.9-1.r67851.1.mga2
+ Revision: 207561
- update to release 67851

* Sat Feb 11 2012 trem <trem> 0.9-1.r67846.1.mga2
+ Revision: 207274
- update to release 67846

* Fri Feb 10 2012 trem <trem> 0.9-1.r67830.1.mga2
+ Revision: 206983
- update to release 67830

* Sun Dec 04 2011 trem <trem> 0.9-1.r65867.1.mga2
+ Revision: 176100
- update to release 65867

* Tue Nov 29 2011 trem <trem> 0.9-1.r65688.1.mga2
+ Revision: 174246
- update to release 65688

* Sun Nov 27 2011 trem <trem> 0.9-1.r65613.1.mga2
+ Revision: 172969
- update to release 65613

* Sun Nov 20 2011 trem <trem> 0.9-1.r65428.1.mga2
+ Revision: 169732
- update to release 65428

* Thu Nov 17 2011 trem <trem> 0.9-1.r65341.1.mga2
+ Revision: 168451
- update to release 65341

* Wed Nov 16 2011 trem <trem> 0.9-1.r65269.1.mga2
+ Revision: 168206
- update to release 65269

* Sun Nov 13 2011 trem <trem> 0.9-1.r65129.1.mga2
+ Revision: 167168
- update to release 65129

* Fri Nov 11 2011 trem <trem> 0.9-1.r65056.1.mga2
+ Revision: 166591
- update to release 65056

* Sat Nov 05 2011 trem <trem> 0.9-1.r64753.1.mga2
+ Revision: 163333
- update to release 64753

* Tue Nov 01 2011 trem <trem> 0.9-1.r64603.1.mga2
+ Revision: 160819
- update to release 64603

* Mon Oct 31 2011 trem <trem> 0.9-1.r64579.1.mga2
+ Revision: 160606
- update to release 64579

* Sun Oct 30 2011 trem <trem> 0.9-1.r64519.1.mga2
+ Revision: 160066
- update to release 64519

* Sat Oct 29 2011 trem <trem> 0.9-1.r64511.1.mga2
+ Revision: 159821
- update to r64511

* Fri Oct 28 2011 trem <trem> 0.9-1.r64501.1.mga2
+ Revision: 159295
- update to r64501

* Wed Oct 26 2011 trem <trem> 0.9-1.r64414.1.mga2
+ Revision: 158392
- update to r64414
- use release-version on e17 br package (instead of just version)

* Mon Oct 24 2011 trem <trem> 0.9-1.r64328.1.mga2
+ Revision: 157855
- fix version
- use svn release (instead of stable release)
- spec cleaning

* Tue Apr 19 2011 ennael <ennael> 0.9-0.20101107.1.mga1
+ Revision: 88195
- clean spec file
- imported package exalt


* Mon Jan 03 2011 Crispin Boylan <crisb@mandriva.org> 0.9-0.20101107.1mdv2011.0
+ Revision: 627852
- Update source tarball from svn

* Fri Jul 16 2010 Funda Wang <fwang@mandriva.org> 0.9-0.20100707.1mdv2011.0
+ Revision: 554385
- New snapshot

* Sat Aug 08 2009 Funda Wang <fwang@mandriva.org> 0.8-0.20080808.1mdv2010.0
+ Revision: 411613
- adjust BR
- New snapshot

* Thu Jul 09 2009 Funda Wang <fwang@mandriva.org> 0.6-5mdv2010.0
+ Revision: 393744
- rebuild

* Wed Mar 04 2009 Antoine Ginies <aginies@mandriva.com> 0.6-4mdv2009.1
+ Revision: 348440
- provide std C math function of GCC
- try to fix 2009.0 build

* Tue Mar 03 2009 Antoine Ginies <aginies@mandriva.com> 0.6-3mdv2009.1
+ Revision: 347884
- add wpa_supplicant and dhcp support for exalt

* Mon Mar 02 2009 Antoine Ginies <aginies@mandriva.com> 0.6-2mdv2009.1
+ Revision: 347519
- fix bad conflits and obsolete and provides

* Mon Mar 02 2009 Antoine Ginies <aginies@mandriva.com> 0.6-1mdv2009.1
+ Revision: 347451
- fix %%files tag
- import exalt


